
control:
    type: WO
    index: 0
    description: A write-only control register
    bitfields:
        go:
            description: Makes it go
            type: bool
            offset: 0
            default: false
        stop:
            description: Makes it stop
            type: bool
            offset: 1
        length:
            type: uint
            offset: 2
            length: 10
status:
    type: RO
    index: 1
    bitfields:
        whatson:
            type: uint
            offset: 0
            length: 20
        isitgood:
            description: Really, is it good?
            type: bool
            offset: 20

config:
    type: RW
    index: 2
    description: A register to do some configuration
    bitfields:
        size:
            description: Set the size of the operation
            type: uint
            offset: 0
            length: 4
        power:
            type: uint
            offset: 6
            length: 4
            default: 15
        frobinate:
            type: bool
            offset: 10
            default: true

hex_digest:
    type: RO
    index: 3
    description: The sha-1 hash digest of this YAML file (first 8 digits)
    bitfields:
        word:
            description: The word containing the first 8 digits of the digest
            type: uint-sha1-hash
            offset: 0
            digest-digits: 8
            digest-offset: 0

hex_digest_2:
    type: RO
    index: 4
    description: The sha-1 hash digest of this YAML file (second 8 digits)
    bitfields:
        word2:
            description: The word containing the second 8 digits of the digest
            type: uint-sha1-hash
            offset: 0
            digest-digits: 8
            digest-offset: 8
